%global pypi_name jupyterlab

Name:           python-%{pypi_name}
Version:        4.3.5
Release:        2
Summary:        JupyterLab computational environment
License:        MIT
URL:            https://github.com/jupyterlab/jupyterlab
Source0:        https://files.pythonhosted.org/packages/19/17/6f3d73c3e54b71bbaf03edcc4a54b0aa6328e0a134755f297ea87d425711/jupyterlab-4.3.5.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-hatchling
BuildRequires:	python3-hatch-jupyter-builder
#install requirements
BuildRequires:	python3-ipykernel
BuildRequires:	python3-jupyter-lsp
BuildRequires:	python3-jupyter-server
BuildRequires:	python3-jupyterlab-server
BuildRequires:	python3-notebook-shim

%description
JupyterLab is the next-generation user interface for Project Jupyter offering all the familiar building blocks of the classic Jupyter Notebook (notebook, terminal, text editor, file browser, rich outputs, etc.) in a flexible and powerful user interface.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
JupyterLab is the next-generation user interface for Project Jupyter offering all the familiar building blocks of the classic Jupyter Notebook (notebook, terminal, text editor, file browser, rich outputs, etc.) in a flexible and powerful user interface.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install


%files -n python3-%{pypi_name}
%doc LICENSE README.md
%{python3_sitelib}/*
%{_bindir}/jlpm
%{_bindir}/jupyter*
%{_usr}/share/*
%{_usr}/etc/jupyter



%changelog
* Fri Mar 07 2025 jiangxinyu <jiangxinyu@kylinos.cn> - 4.3.5-2
- Fix macro usage in the Summary field.

* Tue Feb 25 2025 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 4.3.5-1
- Upgrade package with version 4.3.5
  Fix scrolling and selection restoration on undo/redo
  Fix windowing crash due to out-of-bounds access
  Increase color contrast of operators in code editor
  Fix jupyverse installation instructions
  Use Zulip for instant messaging

* Thu Oct 31 2024 muxiaohui <muxiaohui@kylinos.cn> - 4.3.0-1
- Update version to 4.3.0
  Add setting to enable single-click navigation in file browser.
  Adds command to toggle cell outputs.
  Add kernel selection to Galata notebook creation.
  
* Tue Apr 23 2024 zhaojingyu <zhaojingyu@kylinos.cn> - 4.1.6-1
- Upgrade package with version 4.1.6
- Fix outputarea collapse expand
  Disable placeholder for password input

* Thu Feb 29 2024 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 4.1.2-1
- Upgrade package with version 4.1.2
  Fix highlight sequencing when replacing text in code cells
  Restore notebook scrolling on dragging a cell to the viewport edge
  Fix typing in editable elements inside of open shadow DOM
  Correct Alt + number keyboard shortcuts command map
  Update jupyter-collaboration for the Binder environment
  Add virtual scrollbar component to windowed lists.
  Load custom CSS functionality and documentation
  Add plugin manager and extension locks

* Wed Nov 29 2023 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 4.0.9-1
- Upgrade package with version 4.0.9

* Tue Sep 19 2023 luluoc <luluoc@isoftstone.com> - 4.0.6-1
- Initial package.
